#ifndef MAINWINDOW_H
#define MAINWINDOW_H


#include <QMainWindow>
#include <ShapewaysIO.hxx>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void loginClicked();
    void selectFileClicked();
    void publishFileClicked();

    void loginResult(bool);
    void publishFileResult(bool);

private:
    Ui::MainWindow *ui;

    ShapewaysAPI m_api;
};

#endif // MAINWINDOW_H
